2016-07-19 64 views

risposta

11

ho trovato la correzione:

  • Scarica Android Studio 2.2 Preview 7
  • aggiornamento SDK Tools per l'ultima 25.2.1
  • Scarica ConstraintLayout and Solver for ConstraintLayout nel SDK Manager come per immagine qui sotto
  • Aggiungi com.android.support.constraint:constraint-layout:1.0.0-alpha5 al gradle.build

ConstraintLayout and Solver

+1

Penso che il numero di versione di SDK Tools dovrebbe essere 25.2.1 –

+0

thx man, la virgola era nel posto sbagliato :) –

+0

per motivi storici Ho lasciato le vecchie versioni della risposta, ma usando AS2.2 e scaricando le librerie necessarie dal supporto Il repository è sufficiente. –

0

In Android Studio selezionare: SDK Manager -> Strumenti SDK -> controllare 'com.android. support.constraint: constraint-layout: 1.0.0-alpha4 'in fondo all'elenco e premere' OK 'per installare questo e gli aggiornamenti, proposti da Android Studio.

6

Bene, ho avuto il problema, che ho aggiornato la dipendenza da ConstraintLayout e Solver come è stato suggerito nei post precedenti. Ma aveva ancora il problema. Il mio problema era, che gli strumenti SDK aggiornato alla versione più recente, nel mio caso è stato 1.0.0-alpha9, ma nella mia dipendenza Gradle è stato fissato a

compile 'com.android.support.constraint:constraint-layout:1.0.0-alpha8' 

Quindi, è possibile modificare il file di build Gradle a

compile 'com.android.support.constraint:constraint-layout:1.0.0-alpha9' 

O di controllare "Mostra dettagli del pacchetto" nell'editor SDK Tools e installare la versione necessario. Guarda lo screenshot qui sotto. Image of SDK Tools

Problemi correlati